<?php
/**
* Global Color Settings.
*
* @package Local Supermarket
*/

$local_supermarket_default = local_supermarket_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'local_supermarket_global_secondary_color_setting',
	array(
	'title'      => esc_html__( 'Global Color Settings', 'local-supermarket' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
	'panel'      => 'local_supermarket_theme_option_panel',
	)
);

$wp_customize->add_setting( 'local_supermarket_global_color',
    array(
    'default'           => '#6EBA55 ',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'local_supermarket_global_color',
    array(
        'label'      => esc_html__( 'Global Color', 'local-supermarket' ),
        'section'    => 'local_supermarket_global_color_setting',
        'settings'   => 'local_supermarket_global_color',
    ) ) 
);

$wp_customize->add_setting( 'local_supermarket_global_secondary_color',
    array(
    'default'           => '#1a1a1a',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'local_supermarket_global_secondary_color',
    array(
        'label'      => esc_html__( 'Secondary Color', 'local-supermarket' ),
        'section'    => 'local_supermarket_global_color_setting',
        'settings'   => 'local_supermarket_global_secondary_color',
    ) ) 
);

$wp_customize->add_setting( 'local_supermarket_global_third_color',
    array(
    'default'           => '#FFD239',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'local_supermarket_global_third_color',
    array(
        'label'      => esc_html__( 'Secondary Color', 'local-supermarket' ),
        'section'    => 'local_supermarket_global_color_setting',
        'settings'   => 'local_supermarket_global_third_color',
    ) ) 
);